Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

About QtQuick version



  • There are always imports in Qt tutorials, like
    import QtQuick 2.12
    import QtQuick.Window 2.2
    import QtQuick.Controls 2.12

    When I tried to interpret them by qmlscence, I usually got ".../Qt/tumbler.qml:1 module "QtQuick" version 2.12 is not installed". My questions are:

    What's are mapping between Qt and QtQuick? My installation of Qt is 5.
    Where or how to install so many versions of QtQuick? Is there any way that I can install those versions of QtQuick once, instead of one by one?


  • Moderators

    @Stan-Huang

    What's are mapping between Qt and QtQuick? My installation of Qt is 5.

    the minor version indicator - the one after the 2. - directly correlates to your installed Qt- minor version.

    Qt 5.12 -> QtQuick 2.12

    Where or how to install so many versions of QtQuick? Is there any way that I can install those versions of QtQuick once, instead of one by one?

    IIRC, for compatibility reasons, 5.12 also supports QtQuick 2.0 - 2.11


Log in to reply